Software Archive
Read-only legacy content
17061 Discussions

Fortran 11.1 Integration with Visual Studio is Turned off

Brian_C_
New Contributor I
1,167 Views

I am trying to get back to the point where I have some version of IVF to use, even if it is old.

Installing V11.1 gives the attached screen telling me, among other things, that VS Integration will not be possible.

Why would this be so?

 

 

0 Kudos
9 Replies
Brian_C_
New Contributor I
1,167 Views

Second request.  Has anyone read this post?

 

0 Kudos
TimP
Honored Contributor III
1,167 Views

It says it didn't detect presence of a qualifying Visual Studio.  If you proceed with installation, you can look in the documents folder to see specifically which visual studio versions would qualify, if you don't care to look up the chart.  Did you mean to install instead a version which include VS Shell, which it would offer to install when not finding Visual Studio?  If it's a student version of ifort, you are expected to take advantage of the student licensing for visual studio and install a supported version of that first.

0 Kudos
Brian_C_
New Contributor I
1,167 Views

Thank you.

I have VS2010 and VS2015 installed and working for vb.net.  Still, I get the nasty warning.

 

0 Kudos
Brian_C_
New Contributor I
1,167 Views

Second request.  

I have uninstalled and installed both VF11.1 and VS2010 several times, in both sequences.  Right now, even though I tell the VF11.1 installer where VS is, the installer still says I cannot integrate Fortran with VS.

 

 

0 Kudos
Brian_C_
New Contributor I
1,167 Views

p.s. I have been using IVF11.1 with VS2010 for a long time successfully.

I had some corrupted files and tried reinstalling everything.  

 

Original post was about c:\program fies (x86)\intel\composer xe 2013 sp1\compileia32\libipgo.lib being corrupted, which started the whole problem.  That was  https://software.intel.com/en-us/comment/1802805#comment-1802805 .

 

 

0 Kudos
Brian_C_
New Contributor I
1,167 Views

The Intel Premiere Support website says I have to pay $599 for support and upgrading from IVF11.1, to Parllel Studio XE Composer Edition for Fortran (2015).

Can I not use IVF 11.1 as I always have, integrated with VS 2010?  Why would that capability ever be taken from me, even with paying for support?

 

0 Kudos
QIAOMIN_Q_
New Contributor I
1,167 Views

Hello Brian,

Which package in the registration center are you trying to install?

Intel® Visual Fortran for IA-32 and Intel® 64 (with Microsoft Visual Studio 2008 Shell and Libraries*, English version)

Intel® Visual Fortran for IA-32 and Intel 64 (with Microsoft Visual Studio 2008 Shell and Libraries*, Japanese version)

Intel® Visual Fortran for IA-32 and Intel® 64 (for customers who have Microsoft Visual Studio* already installed)

Intel® Visual Fortran for IA-32 (for customers who have Microsoft Visual Studio* already installed)

Intel® Visual Fortran for Intel® 64 (for customers who have Microsoft Visual Studio* already installed)

 which compiler versions have you installed on your computer? And since you have been using the IVF11.1 with VS2010 well, how and when this installation problem happens? Do you got error saying 'cannot write to c:\program fies (x86)\intel\composer xe 2013 sp1\compileia32\libipgo.lib' during the installation of the IVF11.1?

 

Thank you.
--
QIAOMIN.Q
Intel Developer Support
Please participate in our redesigned community support web site:

User forums:                   http://software.intel.com/en-us/forums/

0 Kudos
Brian_C_
New Contributor I
1,167 Views

Third request...I still have no answer about why Fortran will not integrate with Visual Studio 2010.  VS is there, I use it for VB.net.

Please help, I think that QIAOMIN.Q has given up on me.

0 Kudos
TimP
Honored Contributor III
1,167 Views

Do you have C++ compiler turned on in Visual Studio?  If trying to install 64-bit compiler (or both 32- and 64-bit) on 32-bit windows, you probably also need to select the X64 support inside C++ support.

I don't remember which ifort 11.1 began support for vs2010 but I think all the versions which didn't were removed from the download site.

No one can guess your problems if you don't give requested information.

0 Kudos
Reply